"""Module with persistent SkyHCIOnline classes."""

from typing import Tuple, Optional

from micado.main.SkyHCI import SkyHCI


class SkyHCIOnlineExtra(SkyHCI):
    """A SkyHCIOnline DataItem."""

    @classmethod
    def layers_number(cls) -> Tuple[Optional[int], Optional[int]]:
        """Minimum/maximum number of detectors for each layer.

        HCI is done with only the central detector.
        """
        return 1, 1
