#!/usr/bin/env bash

# TODO: should we upgrade for bugs or not for reproducibility?
apt-get update
apt-get upgrade -y

# It is necessary to install emacs to ensure that the figures are consistently
# created. This is probably due to the font related packages that are
# installed as a dependency.
# curl is necessary to download some files. The rest is just useful.
apt-get install -y file less emacs curl vim man-db meld

rm -rf /var/lib/apt/lists/*

conda config --add channels conda-forge
conda config --add channels omegacen

# TODO: should we upgrade for bugs or not for reproducibility?
#conda update -n base -c defaults conda

# conda is not able to resolve all the dependencies of MicadoWISE, but the
# drop-in replacement mamba is. boa provides mambabuild, the equivalent of
# conda build.
conda install mamba boa
